# eric7.WebBrowser.Sync.SyncEncryptionPage

Module implementing encryption settings wizard page.

### Global Attributes

None

### Classes

SyncEncryptionPage | Class implementing encryption settings wizard page.

### Functions

None

## SyncEncryptionPage

Class implementing encryption settings wizard page.

### Derived from

QWizardPage, Ui_SyncEncryptionPage

### Class Attributes

None

### Class Methods

None

### Methods

SyncEncryptionPage | Constructor
__updateUI | Private slot to update the variable parts of the UI.
isComplete | Public method to check the completeness of the page.
nextId | Public method returning the ID of the next wizard page.
on_encryptionGroupBox_toggled | Private slot to handle changes of the encryption selection.
on_encryptionKeyAgainEdit_textChanged | Private slot to handle changes of the encryption key repetition.
on_encryptionKeyEdit_textChanged | Private slot to handle changes of the encryption key.
on_reencryptCheckBox_toggled | Private slot to handle changes of the re-encryption selection.

### Static Methods

None

#### SyncEncryptionPage (Constructor)

SyncEncryptionPage(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### SyncEncryptionPage.__updateUI

__updateUI()

Private slot to update the variable parts of the UI.

#### SyncEncryptionPage.isComplete

isComplete()

Public method to check the completeness of the page.

Return:
  flag indicating completeness (boolean)

#### SyncEncryptionPage.nextId

nextId()

Public method returning the ID of the next wizard page.

Return:
  next wizard page ID (integer)

#### SyncEncryptionPage.on_encryptionGroupBox_toggled

on_encryptionGroupBox_toggled(on)

Private slot to handle changes of the encryption selection.

on
  state of the group box (boolean)

#### SyncEncryptionPage.on_encryptionKeyAgainEdit_textChanged

on_encryptionKeyAgainEdit_textChanged(txt)

Private slot to handle changes of the encryption key repetition.

txt
  content of the edit widget (string)

#### SyncEncryptionPage.on_encryptionKeyEdit_textChanged

on_encryptionKeyEdit_textChanged(txt)

Private slot to handle changes of the encryption key.

txt
  content of the edit widget (string)

#### SyncEncryptionPage.on_reencryptCheckBox_toggled

on_reencryptCheckBox_toggled(on)

Private slot to handle changes of the re-encryption selection.

on
  state of the check box (boolean)

Up